6.0.0-git
2019-09-15

[#14032] Tasks priority range
Summary Tasks priority range
Queue Nag
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester alex (at) mail (dot) fliker09 (dot) tk
Created 2015-06-29 (1539 days ago)
Due
Updated 2018-05-13 (490 days ago)
Assigned
Resolved
Milestone
Patch No

History
2018-05-13 10:09:18 jens (dot) meier (at) nachthell (dot) net Comment #5 Reply to this comment
I would also really appreciate if the priorities will be fixed soon, 
because the synchronisation of my tasks with davdroid is not working 
anymore since davdroid version 1.11.

Thank you very much!
2018-04-30 09:08:46 ramack (at) raphael-mack (dot) de Comment #4 Reply to this comment
It would be great to have this changed, as together with OpenTasks and 
Davdroid, the default priority 0 is used on creation of new tasks. 
Which finally leads to an empty PRIORITY entry in the ical...
2015-06-30 12:55:53 Jan Schneider Comment #3
State ⇒ Accepted
Reply to this comment
FWIW this RFC is younger than the priority list in Nag. Older 
iCalendar RFCs didn't specify a valid range.
2015-06-29 16:14:25 Michael Rubinsky Comment #2
Version ⇒ Git master
Priority ⇒ 1. Low
Reply to this comment
I don't recall ever seeing a priority range that wide. Exchange uses 
0-2, RTM uses 0-3 etc...

That being said, we should follow the standard. This will probably not 
be changed until Nag 5 though, in order to avoid changing anyone's 
existing priority workflow.
2015-06-29 13:27:31 alex (at) mail (dot) fliker09 (dot) tk Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Tasks priority range
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment
You use 1-5 range and it's a problem. I am using CalDAV-Sync + Tasks 
by Marten Gajda. He uses 0-9 range. I wrote him an e-mail asking why 
he uses such range. Quoting his mail:
"Actually, yes there is a very good reason to use 0-9: that's the 
range specified in the iCalendar standard, see 
https://tools.ietf.org/html/rfc5545#section-3.8.1.9 It says:  This 
priority is specified as an integer in the range 0 to 9.  A value of 0 
specifies an undefined priority.  A value of 1 is the highest 
priority.  A value of 2 is the second highest priority.  Subsequent 
numbers specify a decreasing ordinal priority.  A value of 9 is the 
lowest priority. It's also the range used by most other clients and 
servers."

Saved Queries